# dkim_key_syntax()

[back to index]

SYNOPSIS

    #include <dkim.h>

    DKIM_STAT dkim_key_syntax(
    	DKIM *dkim,
    	unsigned char *str,
    	size_t len
    );

Validates the syntax of a key record, returning a result. The signature is not stored or used, only validated.

DESCRIPTION

Called When | `dkim_key_syntax()` can be called at any time.

ARGUMENTS

Argument | Description
--- | ---
dkim | DKIM handle, returned by a prior call to `dkim_sign()` or `dkim_verify()`.
str | Pointer to a buffer containing the key record to be evaluated.
len | Number of bytes available at `str`.

RETURN VALUES

Return Value | Description
--- | ---
DKIM_STAT_OK | The key record appeared to be syntactically valid.
DKIM_STAT_SYNTAX | The key record did not appear to be syntactically valid.

Copyright (c) 2008 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.